./devel/py-hgview, Visually navigate in a Mercurial repository history

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.8.2nb4, Package name: py27-hgview-1.8.2nb4, Maintainer: pkgsrc-users

hgview is a simple tool aiming at visually navigate in a Mercurial repository
history. It is written in Python with quick and efficient key-based navigation
in mind, trying to be fast enough to be usable for big repositories.


Required to run:
[devel/py-urwid] [x11/py-qt4] [x11/qt4-qscintilla] [x11/py-qt4-qscintilla] [lang/python27] [devel/py-mercurial]

Required to build:
[textproc/xmlto] [textproc/asciidoc] [pkgtools/x11-links] [x11/fixesproto4] [pkgtools/cwrappers] [x11/xorgproto]

Master sites:

SHA1: aa68f3a1a3e21f4373794437504a0d49cc874eb2
RMD160: af867f582f53a8b3c2965cc41af211eead4bb40d
Filesize: 174.269 KB

Version history: (Expand)


CVS history: (Expand)


   2018-03-12 12:18:01 by Thomas Klausner | Files touched by this commit (2155)
Log message:
Recursive bumps for fontconfig and libzip dependency changes.
   2018-02-11 16:51:59 by Thomas Klausner | Files touched by this commit (1)
Log message:
py-hgview: use pypi as HOMEPAGE instead of non-resolving one
   2017-01-03 14:23:05 by Jonathan Perkin | Files touched by this commit (52)
Log message:
Use "${MV} || ${TRUE}" and "${RM} -f" consistently in \ 
post-install targets.
   2017-01-01 15:44:09 by Thomas Klausner | Files touched by this commit (577)
Log message:
Add python-3.6 to incompatible versions.
   2016-08-28 17:48:37 by Thomas Klausner | Files touched by this commit (112)
Log message:
Remove unnecessary PLIST_SUBST and FILES_SUBST that are now provided
by the infrastructure.

Mark a couple more packages as not ready for python-3.x.
   2016-07-09 15:04:18 by Thomas Klausner | Files touched by this commit (599)
Log message:
Remove python33: adapt all packages that refer to it.
   2016-03-05 12:29:49 by Jonathan Perkin | Files touched by this commit (1813) | Package updated
Log message:
Bump PKGREVISION for security/openssl ABI bump.
   2015-12-05 22:26:09 by Adam Ciarcinski | Files touched by this commit (578)
Log message:
Extend PYTHON_VERSIONS_INCOMPATIBLE to 35